package cn.com.infosec.asn1.teletrust;

import cn.com.infosec.asn1.x9.X9ECParameters;
import cn.com.infosec.asn1.x9.X9ECParametersHolder;
import cn.com.infosec.math.ec.ECCurve;
import cn.com.infosec.math.ec.ECPoint;
import cn.com.infosec.util.encoders.Hex;
import java.math.BigInteger;

class TeleTrusTNamedCurves$1 extends X9ECParametersHolder {
   protected X9ECParameters createParameters() {
      ECCurve.Fp var3;
      ECCurve.Fp var10000 = var3 = new ECCurve.Fp;
      BigInteger var10001 = new BigInteger("E95E4A5F737059DC60DFC7AD95B3D8139515620F", 16);
      BigInteger var1;
      var1 = new BigInteger.<init>("340E7BE2A280EB74E2BE61BADA745D97E8F7C300", 16);
      BigInteger var2;
      var2 = new BigInteger.<init>("1E589A8595423412134FAA2DBDEC95C8D8675E58", 16);
      var10000.<init>(var10001, var1, var2);
      ECCurve.Fp var10002 = var3;
      ECPoint var4 = var3.decodePoint(Hex.decode("04BED5AF16EA3F6A4F62938C4631EB5AF7BDBCDBC31667CB477A1A8EC338F94741669C976316DA6321"));
      var1 = new BigInteger.<init>("E95E4A5F737059DC60DF5991D45029409E60FC09", 16);
      var2 = new BigInteger.<init>("01", 16);
      return new X9ECParameters(var10002, var4, var1, var2);
   }
}
